LUCSS< STANDARD, H > Struct Template Reference

LUC signature scheme with appendix. More...

`#include <luc.h>`

Inheritance diagram for LUCSS< STANDARD, H >:

## Public Types

typedef STANDARD | Standard
| see SignatureStandard for a list of standards
typedef Standard::SignatureMessageEncodingMethod | MessageEncodingMethod
typedef TF_SignatureSchemeOptions < ALG_INFO, LUC, MessageEncodingMethod, H > | SchemeOptions
typedef PK_FinalTemplate < TF_SignerImpl< SchemeOptions > > | Signer
| implements PK_Signer interface
typedef PK_FinalTemplate < TF_VerifierImpl < SchemeOptions > > | Verifier
| implements PK_Verifier interface
typedef LUCFunction | PublicKey
typedef InvertibleLUCFunction | PrivateKey

## Static Public Member Functions

static std::string | StaticAlgorithmName ()

## Detailed Description

### template<class STANDARD, class H>
struct LUCSS< STANDARD, H >

LUC signature scheme with appendix.

Definition at line 101 of file luc.h.

The documentation for this struct was generated from the following file:

- luc.h